org.apache.mina.util

## Class LazyInitializedCacheMap.NoopInitializer

- java.lang.Object
- - org.apache.mina.util.LazyInitializer<V>
  - - org.apache.mina.util.LazyInitializedCacheMap.NoopInitializer

- Enclosing class:
    LazyInitializedCacheMap<K,V>

      public class LazyInitializedCacheMap.NoopInitializer
      extends LazyInitializer<V>

  This class provides a noop `LazyInitializer` meaning it will return the same object it received when instantiated.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyInitializedCacheMap.NoopInitializer(V value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `V` | `init()` Initializes the value.

    - ### Methods inherited from class org.apache.mina.util.LazyInitializer

      `get`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LazyInitializedCacheMap.NoopInitializer

          public LazyInitializedCacheMap.NoopInitializer(V value)

  - ### Method Detail

    - #### init

          public V init()

      Description copied from class: `LazyInitializer`
      Initializes the value.
      Specified by:
        `init` in class `LazyInitializer<V>`
      Returns:
        the initialized value

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.